Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(15)

Issue 1852433005: Convert //base to use std::unique_ptr (Closed)

Created:
3 years, 5 months ago by dcheng
Modified:
3 years, 5 months ago
CC:
asvitkine+watch_chromium.org, chirantan+watch_chromium.org, chromium-reviews, danakj, Dai Mikurube (NOT FULLTIME), gavinp+memory_chromium.org, grt+watch_chromium.org, jshin+watch_chromium.org, sadrul, tfarina, Nico, Lei Zhang, tracing+reviews_chromium.org, wfh+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert //base to use std::unique_ptr With bonus IWYU fixes that weren't caught by local android gn, cros gn, linux gn, mac gyp, and win gyp builds. BUG=554298 TBR=brettw@chromium.org Committed: https://crrev.com/093de9b30c0ba6ded896506a297314e5ed818b89 Cr-Commit-Position: refs/heads/master@{#385011}

Patch Set 1 #

Patch Set 2 : Revert scoped_ptr.h cause that's silly. #

Patch Set 3 : rebase #

Patch Set 4 : rebase #

Patch Set 5 : rebase #

Patch Set 6 : IWYU more things. #

Patch Set 7 : . #

Patch Set 8 : . #

Patch Set 9 : . #

Patch Set 10 : . #

Patch Set 11 : . #

Patch Set 12 : . #

Patch Set 13 : . #

Total comments: 2

Patch Set 14 : Remove redundant base:: prefix #

Total comments: 36

Patch Set 15 : Add namespace wrapper around mru cache tests. #

Patch Set 16 : Address thakis@ comments #

Patch Set 17 : Meh #

Patch Set 18 : rebase after r384946 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1767 lines, -1522 lines) Patch
M base/allocator/allocator_shim_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/android/application_status_listener_unittest.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M base/android/java_handler_thread.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/android/record_histogram.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/base_paths_posix.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M base/base_paths_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M base/bind_helpers.h View 2 chunks +5 lines, -4 lines 0 comments Download
M base/bind_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +7 lines, -7 lines 0 comments Download
M base/callback.h View 1 chunk +2 lines, -2 lines 0 comments Download
M base/callback_internal.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/callback_list.h View 4 chunks +5 lines, -5 lines 0 comments Download
M base/callback_list_unittest.cc View 13 chunks +34 lines, -33 lines 0 comments Download
M base/callback_list_unittest.nc View 3 chunks +6 lines, -6 lines 0 comments Download
M base/callback_unittest.cc View 1 chunk +4 lines, -2 lines 0 comments Download
M base/command_line_unittest.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M base/containers/mru_cache_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 7 chunks +21 lines, -14 lines 0 comments Download
M base/containers/scoped_ptr_hash_map.h View 1 chunk +2 lines, -2 lines 0 comments Download
M base/containers/scoped_ptr_hash_map_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +18 lines, -12 lines 0 comments Download
M base/debug/asan_invalid_access.cc View 4 chunks +7 lines, -5 lines 0 comments Download
M base/debug/close_handle_hook_win.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/debug/debugger_posix.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M base/debug/leak_tracker_unittest.cc View 5 chunks +12 lines, -10 lines 0 comments Download
M base/debug/stack_trace_posix.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +5 lines, -6 lines 0 comments Download
M base/debug/stack_trace_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/environment.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/environment.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M base/environment_unittest.cc View 5 chunks +9 lines, -7 lines 0 comments Download
M base/feature_list.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/feature_list.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/feature_list_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 13 chunks +14 lines, -13 lines 0 comments Download
M base/file_version_info_unittest.cc View 4 chunks +7 lines, -5 lines 0 comments Download
M base/file_version_info_win.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/files/file_path_watcher_linux.cc View 2 chunks +1 line, -1 line 0 comments Download
M base/files/file_path_watcher_unittest.cc View 27 chunks +30 lines, -30 lines 0 comments Download
M base/files/file_proxy.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/files/file_util.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/files/file_util.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/files/file_util_posix.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/files/important_file_writer.h View 1 chunk +1 line, -1 line 0 comments Download
M base/files/important_file_writer.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M base/files/important_file_writer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +5 lines, -4 lines 0 comments Download
M base/files/memory_mapped_file_unittest.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M base/files/scoped_file.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/i18n/file_util_icu.cc View 3 chunks +6 lines, -4 lines 0 comments Download
M base/i18n/icu_string_conversions.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/i18n/icu_util.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/i18n/message_formatter.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/i18n/message_formatter_unittest.cc View 4 chunks +11 lines, -6 lines 0 comments Download
M base/i18n/number_formatting.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M base/i18n/time_formatting.cc View 5 chunks +14 lines, -12 lines 0 comments Download
M base/i18n/time_formatting_unittest.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M base/i18n/timezone.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/ios/device_util.mm View 2 chunks +2 lines, -2 lines 0 comments Download
M base/json/json_file_value_serializer.h View 1 chunk +2 lines, -2 lines 0 comments Download
M base/json/json_file_value_serializer.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/json/json_parser.h View 1 chunk +1 line, -1 line 0 comments Download
M base/json/json_parser.cc View 13 chunks +13 lines, -13 lines 0 comments Download
M base/json/json_parser_unittest.cc View 9 chunks +15 lines, -14 lines 0 comments Download
M base/json/json_reader.h View 3 chunks +12 lines, -11 lines 0 comments Download
M base/json/json_reader.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +15 lines, -13 lines 0 comments Download
M base/json/json_reader_unittest.cc View 5 chunks +12 lines, -11 lines 0 comments Download
M base/json/json_string_value_serializer.h View 1 chunk +2 lines, -2 lines 0 comments Download
M base/json/json_string_value_serializer.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/json/json_value_converter.h View 5 chunks +5 lines, -5 lines 0 comments Download
M base/json/json_value_converter_unittest.cc View 7 chunks +7 lines, -7 lines 0 comments Download
M base/json/json_value_serializer_unittest.cc View 16 chunks +16 lines, -16 lines 0 comments Download
M base/json/json_writer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 6 chunks +12 lines, -10 lines 0 comments Download
M base/linux_util.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/mac/dispatch_source_mach_unittest.cc View 3 chunks +12 lines, -12 lines 0 comments Download
M base/mac/mach_port_broker.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/mac/scoped_authorizationref.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +3 lines, -4 lines 0 comments Download
M base/mac/scoped_cftyperef.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +4 lines, -4 lines 0 comments Download
M base/mac/scoped_launch_data.h View 1 chunk +1 line, -1 line 0 comments Download
M base/mac/scoped_nsobject.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +4 lines, -4 lines 0 comments Download
M base/mac/scoped_typeref.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +2 lines, -2 lines 0 comments Download
M base/macros.h View 1 chunk +1 line, -1 line 0 comments Download
M base/md5_unittest.cc View 3 chunks +6 lines, -4 lines 0 comments Download
M base/memory/aligned_memory.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/memory/aligned_memory_unittest.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M base/memory/discardable_memory_allocator.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/memory/memory_pressure_listener_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/memory/memory_pressure_monitor_chromeos_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/memory/memory_pressure_monitor_mac.h View 1 chunk +1 line, -1 line 0 comments Download
M base/memory/scoped_vector.h View 3 chunks +3 lines, -3 lines 0 comments Download
M base/memory/scoped_vector_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/memory/shared_memory_mac_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 8 chunks +15 lines, -9 lines 0 comments Download
M base/memory/shared_memory_unittest.cc View 3 chunks +8 lines, -6 lines 0 comments Download
M base/memory/shared_memory_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/memory/shared_memory_win_unittest.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M base/memory/weak_ptr_unittest.cc View 7 chunks +7 lines, -7 lines 0 comments Download
M base/message_loop/message_loop.h View 9 chunks +9 lines, -9 lines 0 comments Download
M base/message_loop/message_loop.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 8 chunks +20 lines, -18 lines 0 comments Download
M base/message_loop/message_loop_task_runner_unittest.cc View 5 chunks +7 lines, -6 lines 0 comments Download
M base/message_loop/message_loop_test.cc View 24 chunks +24 lines, -24 lines 0 comments Download
M base/message_loop/message_loop_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +4 lines, -4 lines 0 comments Download
M base/message_loop/message_pump_glib.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/message_loop/message_pump_io_ios_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/message_loop/message_pump_libevent.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M base/message_loop/message_pump_libevent_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 7 chunks +10 lines, -8 lines 0 comments Download
M base/message_loop/message_pump_perftest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +10 lines, -9 lines 0 comments Download
M base/metrics/field_trial.h View 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/histogram.h View 9 chunks +10 lines, -10 lines 0 comments Download
M base/metrics/histogram.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 17 chunks +33 lines, -29 lines 0 comments Download
M base/metrics/histogram_base.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/metrics/histogram_base.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M base/metrics/histogram_base_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/histogram_delta_serialization.h View 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/histogram_delta_serialization_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/histogram_samples.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/metrics/histogram_samples.cc View 1 chunk +1 line, -2 lines 0 comments Download
M base/metrics/histogram_snapshot_manager.h View 3 chunks +4 lines, -4 lines 0 comments Download
M base/metrics/histogram_snapshot_manager.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M base/metrics/histogram_unittest.cc View 13 chunks +13 lines, -13 lines 0 comments Download
M base/metrics/persistent_histogram_allocator.h View 6 chunks +13 lines, -12 lines 0 comments Download
M base/metrics/persistent_histogram_allocator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 16 chunks +31 lines, -27 lines 0 comments Download
M base/metrics/persistent_histogram_allocator_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +4 lines, -3 lines 0 comments Download
M base/metrics/persistent_memory_allocator.h View 5 chunks +10 lines, -6 lines 0 comments Download
M base/metrics/persistent_memory_allocator.cc View 2 chunks +12 lines, -4 lines 0 comments Download
M base/metrics/persistent_memory_allocator_unittest.cc View 10 chunks +20 lines, -20 lines 0 comments Download
M base/metrics/persistent_sample_map.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/persistent_sample_map.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +3 lines, -2 lines 0 comments Download
M base/metrics/persistent_sample_map_unittest.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M base/metrics/sample_map.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/sample_map.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +3 lines, -2 lines 0 comments Download
M base/metrics/sample_map_unittest.cc View 4 chunks +5 lines, -4 lines 0 comments Download
M base/metrics/sample_vector.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/sample_vector.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/metrics/sample_vector_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/metrics/sparse_histogram.h View 4 chunks +6 lines, -6 lines 0 comments Download
M base/metrics/sparse_histogram.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 6 chunks +10 lines, -9 lines 0 comments Download
M base/metrics/sparse_histogram_unittest.cc View 5 chunks +19 lines, -18 lines 0 comments Download
M base/metrics/statistics_recorder.cc View 3 chunks +6 lines, -5 lines 0 comments Download
M base/metrics/statistics_recorder_unittest.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M base/pickle_unittest.cc View 5 chunks +7 lines, -6 lines 0 comments Download
M base/power_monitor/power_monitor.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/power_monitor/power_monitor.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/power_monitor/power_monitor_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/process/launch_posix.cc View 5 chunks +5 lines, -5 lines 0 comments Download
M base/process/launch_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/process/memory_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +0 lines, -1 line 0 comments Download
M base/process/process_handle_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/process/process_info_mac.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M base/process/process_info_win.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M base/process/process_metrics.h View 4 chunks +4 lines, -4 lines 0 comments Download
M base/process/process_metrics.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/process/process_metrics_linux.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M base/process/process_metrics_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M base/process/process_metrics_unittest_ios.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M base/process/process_util_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/process/process_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/profiler/native_stack_sampler.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/profiler/native_stack_sampler_posix.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/profiler/native_stack_sampler_win.cc View 5 chunks +8 lines, -8 lines 0 comments Download
M base/profiler/stack_sampling_profiler.h View 5 chunks +4 lines, -4 lines 0 comments Download
M base/profiler/stack_sampling_profiler.cc View 5 chunks +6 lines, -6 lines 0 comments Download
M base/profiler/stack_sampling_profiler_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/profiler/win32_stack_frame_unwinder.h View 2 chunks +4 lines, -3 lines 0 comments Download
M base/profiler/win32_stack_frame_unwinder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +7 lines, -6 lines 0 comments Download
M base/profiler/win32_stack_frame_unwinder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 6 chunks +11 lines, -9 lines 0 comments Download
M base/rand_util_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/security_unittest.cc View 4 chunks +6 lines, -6 lines 0 comments Download
M base/sequence_checker_unittest.cc View 13 chunks +13 lines, -13 lines 0 comments Download
M base/strings/safe_sprintf_unittest.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M base/strings/utf_offset_string_conversions.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/supports_user_data.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/supports_user_data.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +3 lines, -1 line 0 comments Download
M base/synchronization/condition_variable_unittest.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M base/sys_info_chromeos.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/sys_info_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -1 line 0 comments Download
M base/system_monitor/system_monitor_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/task_runner_util_unittest.cc View 2 chunks +8 lines, -8 lines 0 comments Download
M base/task_scheduler/priority_queue.h View 5 chunks +8 lines, -8 lines 0 comments Download
M base/task_scheduler/priority_queue.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +4 lines, -3 lines 0 comments Download
M base/task_scheduler/priority_queue_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 10 chunks +20 lines, -16 lines 0 comments Download
M base/task_scheduler/scheduler_lock.h View 3 chunks +5 lines, -4 lines 0 comments Download
M base/task_scheduler/scheduler_lock_impl.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/task_scheduler/scheduler_lock_impl.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M base/task_scheduler/scheduler_worker_thread.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/task_scheduler/scheduler_worker_thread.cc View 1 chunk +5 lines, -4 lines 0 comments Download
M base/task_scheduler/scheduler_worker_thread_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 6 chunks +7 lines, -6 lines 0 comments Download
M base/task_scheduler/sequence.h View 3 chunks +3 lines, -3 lines 0 comments Download
M base/task_scheduler/sequence.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/task_scheduler/sequence_unittest.cc View 1 chunk +5 lines, -5 lines 0 comments Download
M base/task_scheduler/task_tracker.h View 3 chunks +5 lines, -4 lines 0 comments Download
M base/task_scheduler/task_tracker.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/task_scheduler/task_tracker_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 9 chunks +13 lines, -12 lines 0 comments Download
M base/test/gtest_util.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/test/histogram_tester.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/test/histogram_tester.cc View 7 chunks +12 lines, -8 lines 0 comments Download
M base/test/histogram_tester_unittest.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M base/test/launcher/test_launcher.h View 1 chunk +1 line, -1 line 0 comments Download
M base/test/launcher/test_launcher.cc View 5 chunks +5 lines, -4 lines 0 comments Download
M base/test/launcher/test_results_tracker.cc View 1 chunk +9 lines, -8 lines 0 comments Download
M base/test/test_discardable_memory_allocator.h View 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_discardable_memory_allocator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +4 lines, -3 lines 0 comments Download
M base/test/test_mock_time_task_runner.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/test/test_mock_time_task_runner.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +5 lines, -4 lines 0 comments Download
M base/test/test_pending_task.h View 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_pending_task.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/test_pending_task_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/test/test_reg_util_win.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/test/test_reg_util_win.cc View 14 15 16 2 chunks +2 lines, -1 line 0 comments Download
M base/test/test_reg_util_win_unittest.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M base/test/test_suite.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/test/test_suite.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +4 lines, -2 lines 0 comments Download
M base/test/test_support_android.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/test_support_ios.mm View 1 chunk +2 lines, -2 lines 0 comments Download
M base/test/trace_event_analyzer.h View 3 chunks +4 lines, -3 lines 0 comments Download
M base/test/trace_event_analyzer.cc View 5 chunks +6 lines, -6 lines 0 comments Download
M base/test/trace_event_analyzer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 16 chunks +30 lines, -28 lines 0 comments Download
M base/test/values_test_util.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/test/values_test_util.cc View 3 chunks +5 lines, -4 lines 0 comments Download
M base/threading/non_thread_safe_unittest.cc View 6 chunks +9 lines, -7 lines 0 comments Download
M base/threading/platform_thread_posix.cc View 3 chunks +5 lines, -3 lines 0 comments Download
M base/threading/sequenced_task_runner_handle_unittest.cc View 3 chunks +7 lines, -4 lines 0 comments Download
M base/threading/sequenced_worker_pool.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/threading/sequenced_worker_pool.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +4 lines, -3 lines 0 comments Download
M base/threading/sequenced_worker_pool_unittest.cc View 5 chunks +5 lines, -5 lines 0 comments Download
M base/threading/thread.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/threading/thread.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M base/threading/thread_checker_unittest.cc View 7 chunks +10 lines, -8 lines 0 comments Download
M base/threading/thread_collision_warner_unittest.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M base/threading/worker_pool_posix.h View 3 chunks +2 lines, -2 lines 0 comments Download
M base/timer/hi_res_timer_manager_unittest.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M base/timer/timer_unittest.cc View 2 chunks +5 lines, -3 lines 0 comments Download
M base/trace_event/blame_context.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M base/trace_event/blame_context_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 7 chunks +10 lines, -6 lines 0 comments Download
M base/trace_event/common/trace_event_common.h View 3 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/heap_profiler_heap_dump_writer.h View 3 chunks +3 lines, -3 lines 0 comments Download
M base/trace_event/heap_profiler_heap_dump_writer.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M base/trace_event/heap_profiler_heap_dump_writer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 7 chunks +18 lines, -13 lines 0 comments Download
M base/trace_event/heap_profiler_stack_frame_deduplicator.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/heap_profiler_stack_frame_deduplicator_unittest.cc View 5 chunks +7 lines, -6 lines 0 comments Download
M base/trace_event/heap_profiler_type_name_deduplicator_unittest.cc View 1 2 3 4 4 chunks +6 lines, -5 lines 0 comments Download
M base/trace_event/java_heap_dump_provider_android_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/malloc_dump_provider.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/trace_event/malloc_dump_provider.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/memory_allocator_dump.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/trace_event/memory_allocator_dump_unittest.cc View 4 chunks +9 lines, -8 lines 0 comments Download
M base/trace_event/memory_dump_manager.h View 6 chunks +7 lines, -6 lines 0 comments Download
M base/trace_event/memory_dump_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 chunks +19 lines, -16 lines 0 comments Download
M base/trace_event/memory_dump_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 12 chunks +25 lines, -24 lines 0 comments Download
M base/trace_event/memory_dump_session_state.h View 4 chunks +6 lines, -5 lines 0 comments Download
M base/trace_event/memory_dump_session_state.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M base/trace_event/process_memory_dump.h View 3 chunks +5 lines, -4 lines 0 comments Download
M base/trace_event/process_memory_dump.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +9 lines, -7 lines 0 comments Download
M base/trace_event/process_memory_dump_unittest.cc View 8 chunks +11 lines, -11 lines 0 comments Download
M base/trace_event/trace_buffer.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/trace_event/trace_buffer.cc View 6 chunks +11 lines, -9 lines 0 comments Download
M base/trace_event/trace_config.h View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_config.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +9 lines, -8 lines 0 comments Download
M base/trace_event/trace_config_unittest.cc View 2 chunks +4 lines, -2 lines 0 comments Download
M base/trace_event/trace_event.h View 3 16 chunks +21 lines, -21 lines 0 comments Download
M base/trace_event/trace_event_android.cc View 1 chunk +10 lines, -9 lines 0 comments Download
M base/trace_event/trace_event_argument.h View 2 chunks +3 lines, -3 lines 0 comments Download
M base/trace_event/trace_event_argument.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +9 lines, -7 lines 0 comments Download
M base/trace_event/trace_event_argument_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 7 chunks +10 lines, -9 lines 0 comments Download
M base/trace_event/trace_event_etw_export_win.h View 2 chunks +2 lines, -2 lines 0 comments Download
M base/trace_event/trace_event_etw_export_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_event_impl.h View 5 chunks +6 lines, -5 lines 0 comments Download
M base/trace_event/trace_event_impl.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/trace_event/trace_event_system_stats_monitor.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M base/trace_event/trace_event_system_stats_monitor_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/trace_event/trace_event_unittest.cc View 16 chunks +29 lines, -25 lines 0 comments Download
M base/trace_event/trace_log.h View 12 chunks +12 lines, -12 lines 0 comments Download
M base/trace_event/trace_log.cc View 11 chunks +11 lines, -11 lines 0 comments Download
M base/trace_event/winheap_dump_provider_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/tracked_objects_unittest.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M base/values.h View 17 chunks +22 lines, -21 lines 0 comments Download
M base/values.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 24 chunks +41 lines, -36 lines 0 comments Download
M base/values_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 28 chunks +109 lines, -101 lines 0 comments Download
M base/win/enum_variant.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/win/registry.h View 1 chunk +1 line, -1 line 0 comments Download
M base/win/scoped_comptr_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M base/win/win_util.cc View 3 chunks +4 lines, -3 lines 0 comments Download
M base/win/windows_version.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/android/bottombar/overlay_panel_content.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chromeos/file_manager/fileapi_util.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/media_galleries/mac/mtp_device_delegate_impl_mac.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/safe_browsing/incident_reporting/environment_data_collection_win.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/ash/launcher/launcher_favicon_loader.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/base/system_time_change_notifier_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/browser/media/media_pipeline_backend_factory.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/base/media_message_loop.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/base/media_resource_tracker_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/decoder/cast_audio_decoder.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/ipc_streamer/coded_frame_provider_host.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/test/mock_frame_consumer.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M chromecast/media/cma/test/mock_frame_provider.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/network/dhcp_proxy_script_fetcher_chromeos.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/timezone/timezone_resolver.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M components/dom_distiller/content/browser/distillable_page_utils_android.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M components/translate/ios/browser/ios_translate_driver.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/translate/ios/browser/language_detection_controller.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/translate/ios/browser/translate_controller_unittest.mm View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_android.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M content/test/content_test_suite.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/find_in_page/find_in_page_controller.mm View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/memory/memory_metrics.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/ssl/ios_chrome_security_state_model_client.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M ios/web/navigation/navigation_manager_impl.h View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M ios/web/webui/url_data_manager_ios_backend.h View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M ios/web/webui/web_ui_ios_impl.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M media/base/android/media_player_android.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/input_device_factory_evdev.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/input_device_factory_evdev_proxy.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/libgestures_glue/event_reader_libevdev_cros.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M ui/events/ozone/evdev/libgestures_glue/gesture_property_provider.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/common/native_display_delegate_ozone.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M ui/ozone/demo/surfaceless_gl_renderer.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 77 (33 generated)
dcheng
For the header additions/removals, I did a more thorough check to make sure things like ...
3 years, 5 months ago (2016-04-01 18:33:56 UTC) #2
Mark Mentovai
Waiting for trybot results. Poke this again when they’re all green.
3 years, 5 months ago (2016-04-01 18:49:30 UTC) #3
dcheng
Bah, these are all IWYU failures: some file didn't include scoped_ptr.h and got it from ...
3 years, 5 months ago (2016-04-01 18:58:02 UTC) #4
danakj
Since base is so widely included you might wanna go by subdirs.
3 years, 5 months ago (2016-04-01 18:59:02 UTC) #6
dcheng
On 2016/04/01 at 18:59:02, danakj wrote: > Since base is so widely included you might ...
3 years, 5 months ago (2016-04-01 19:02:26 UTC) #7
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/100001
3 years, 5 months ago (2016-04-04 04:55:57 UTC) #9
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_rel_device_gn on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_rel_device_gn/builds/13183)
3 years, 5 months ago (2016-04-04 05:04:24 UTC) #11
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/120001
3 years, 5 months ago (2016-04-04 05:07:05 UTC) #13
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_rel_device_gn on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_rel_device_gn/builds/13186)
3 years, 5 months ago (2016-04-04 05:17:05 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/160001
3 years, 5 months ago (2016-04-04 05:36:58 UTC) #17
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/153550) ios_rel_device_ninja on ...
3 years, 5 months ago (2016-04-04 05:49:53 UTC) #19
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/180001
3 years, 5 months ago (2016-04-04 06:15:28 UTC) #21
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: android_compile_dbg on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_compile_dbg/builds/44575)
3 years, 5 months ago (2016-04-04 06:44:06 UTC) #23
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/200001
3 years, 5 months ago (2016-04-04 07:46:59 UTC) #25
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/138827)
3 years, 5 months ago (2016-04-04 08:16:14 UTC) #28
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/220001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/220001
3 years, 5 months ago (2016-04-04 08:26:50 UTC) #30
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/138839)
3 years, 5 months ago (2016-04-04 09:02:40 UTC) #32
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/240001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/240001
3 years, 5 months ago (2016-04-04 09:17:07 UTC) #34
dcheng
8 patchsets and 200+ IWYU fixes later, I think this probably compiles. Probably. PTAL.
3 years, 5 months ago (2016-04-04 09:29:16 UTC) #35
Primiano Tucci (use gerrit)
Took a look to base/trace_event, one question: FYI some of the trace_event headers are used ...
3 years, 5 months ago (2016-04-04 10:20:37 UTC) #37
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/47616)
3 years, 5 months ago (2016-04-04 11:12:46 UTC) #39
dcheng
For the most part, Blink doesn't use scoped_ptr so it's usually not a problem. There ...
3 years, 5 months ago (2016-04-04 16:20:59 UTC) #40
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/260001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/260001
3 years, 5 months ago (2016-04-04 16:21:22 UTC) #42
Primiano Tucci (use gerrit)
On 2016/04/04 16:20:59, dcheng wrote: > For the most part, Blink doesn't use scoped_ptr so ...
3 years, 5 months ago (2016-04-04 16:27:47 UTC) #43
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/138983)
3 years, 5 months ago (2016-04-04 16:34:14 UTC) #45
Nico
ios and cast red trybots look real
3 years, 5 months ago (2016-04-04 16:39:30 UTC) #47
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/280001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/280001
3 years, 5 months ago (2016-04-04 17:09:34 UTC) #49
dcheng
On 2016/04/04 at 16:39:30, thakis wrote: > ios and cast red trybots look real Fixed ...
3 years, 5 months ago (2016-04-04 17:09:50 UTC) #50
Nico
base/ basically lgtm. I didn't understand that you're adding <memory> if and only if a ...
3 years, 5 months ago (2016-04-04 17:14:56 UTC) #51
dcheng
Note that pretty much all the new #include scoped_ptr.h lines outside //base are directly due ...
3 years, 5 months ago (2016-04-04 17:43:39 UTC) #52
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/300001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/300001
3 years, 5 months ago (2016-04-04 17:44:42 UTC) #54
Mark Mentovai
I would have thought that the best way to approach the transition in this change ...
3 years, 5 months ago (2016-04-04 17:53:10 UTC) #55
Nico
lgtm
3 years, 5 months ago (2016-04-04 17:56:38 UTC) #56
dcheng
On 2016/04/04 at 17:53:10, mark wrote: > I would have thought that the best way ...
3 years, 5 months ago (2016-04-04 18:10:10 UTC) #57
Mark Mentovai
OK. I think that enough bots are turning green already that we can call this ...
3 years, 5 months ago (2016-04-04 18:15:31 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/320001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/320001
3 years, 5 months ago (2016-04-04 18:56:33 UTC) #61
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/139111) chromeos_amd64-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, ...
3 years, 5 months ago (2016-04-04 19:02:38 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/340001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/340001
3 years, 5 months ago (2016-04-04 19:20:05 UTC) #66
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/164239)
3 years, 5 months ago (2016-04-04 19:37:08 UTC) #68
dcheng
TBRing brettw@ for global owners stamp for IWYU fixes.
3 years, 5 months ago (2016-04-04 19:37:31 UTC) #71
dcheng
Really +brettw for TBR this time.
3 years, 5 months ago (2016-04-04 19:37:45 UTC) #73
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1852433005/340001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1852433005/340001
3 years, 5 months ago (2016-04-04 19:37:47 UTC) #74
commit-bot: I haz the power
Committed patchset #18 (id:340001)
3 years, 5 months ago (2016-04-04 21:26:07 UTC) #75
commit-bot: I haz the power
3 years, 5 months ago (2016-04-04 21:28:05 UTC) #77
Message was sent while issue was closed.
Patchset 18 (id:??) landed as
https://crrev.com/093de9b30c0ba6ded896506a297314e5ed818b89
Cr-Commit-Position: refs/heads/master@{#385011}

Powered by Google App Engine
This is Rietveld 408576698